%define anolis_release 1
%global srcname gitdb

Name:           python-%{srcname}
Version:        4.0.10
Release:        %{anolis_release}%{?dist}
Summary:        Git Object Database

License:        BSD-3-Clause
URL:            https://github.com/gitpython-developers/gitdb
Source0:        %pypi_source

BuildArch:      noarch

BuildRequires:  git-core

%global _description %{expand:
GitDB allows you to access bare git repositories for reading and writing.
It aims at allowing full access to loose objects as well as packs with
performance and scalability in mind. It operates exclusively on streams,
allowing to handle large objects with a small memory footprint.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
# The tests require a git repo with a substantial number of objects.
# https://github.com/gitpython-developers/gitdb/issues/16
mkdir testrepo
pushd testrepo
git init -q
git config user.email "%{name}-owner@openanolis.cn"
git config user.name "%{name} maintainer"
for i in {1..400}; do echo $i > $i; git add $i; git commit -q -m "$i"; done
git gc
popd

export GITDB_TEST_GIT_REPO_BASE=testrepo/.git
%pytest --verbose

%files -n python3-%{srcname} -f %{pyproject_files}
%doc AUTHORS

%changelog
* Fri Jan 26 2024 Chunmei Xu <xuchunmei@linux.alibaba.com> - 4.0.10-1
- init from upstream
